Skip to main content
Webhook

查询 Webhook 详情

查询单个 Webhook 的详情。详情不返回 Signing Secret。

前提

已完成 Endpoint 与鉴权配置,详见API 总览与认证

接口

GET /webhook_endpoints/{id}

路径参数

参数必填类型说明
idstringWebhook ID,格式 wep_<ULID>

请求示例

curl "$AGENTSTUDIO_URL/webhook_endpoints/wep_01JXX7YQGPRPV1BZXA35QE7WDP" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"

响应

{
  "id": "wep_01JXX7YQGPRPV1BZXA35QE7WDP",
  "description": "生产环境会话事件",
  "url": "https://example.com/managedagent/webhooks",
  "events": [
    "session.updated",
    "session.status_idled",
    "session.thread_terminated"
  ],
  "status": "ACTIVE",
  "disabled_reason": null,
  "consecutive_fail": 2,
  "last_success_at": "2026-08-06T10:05:00Z",
  "last_failure_at": "2026-08-06T10:10:00Z",
  "created_at": "2026-08-06T10:00:00Z",
  "updated_at": "2026-08-06T10:00:00Z",
  "request_id": "8e1d16e4"
}

响应字段

字段类型说明
idstringWebhook ID,格式 wep_<ULID>
descriptionstring | null描述
urlstring回调 URL
eventsarray<string>订阅的命名事件类型
statusstringWebhook 状态:ACTIVEDISABLED
disabled_reasonstring | null禁用原因;未禁用时为 null
consecutive_failinteger当前连续失败次数
last_success_atstring | null最近成功投递时间
last_failure_atstring | null最近失败投递时间
created_atstring创建时间,ISO 8601
updated_atstring最近更新时间,ISO 8601
request_idstring请求唯一标识

错误码

状态码错误码说明
40411800001webhook not found